Welcome to PhantomPilots.com

Sign up for a weekly email of the latest drone news & information

Drone is inoperable right now. Can't downgrade my RC firmware. HELP!

Discussion in 'Pro/Adv Discussion' started by ihavequestions, May 14, 2016.

  1. ihavequestions

    Joined:
    May 14, 2016
    Messages:
    33
    Likes Received:
    11
    When I hold the icon on the upper right and I enter the firmware screen I can't do anything because there's no list of firmware versions. Instead, it shows "NONE" in the "Please select firmware version" screen. It also displays "Current Version: Unknown", and a red text "Get Firmware Version Failed".

    How do I get around this?

    As a sidenote, I have a RC Signal lost problem, I know the fix is that I should downgrade the remote control firmware.

    Please help as my drone is useless right now without getting around this!

    [​IMG]
    [​IMG]
     
  2. FrequentFlyer

    Joined:
    Feb 14, 2016
    Messages:
    145
    Likes Received:
    32
    Location:
    Riverside,Ca
    The remote controller has to have connection before you can see the version numbers.


    Sent from my iPhone using PhantomPilots mobile app
     
  3. FrequentFlyer

    Joined:
    Feb 14, 2016
    Messages:
    145
    Likes Received:
    32
    Location:
    Riverside,Ca
    Make sure you have updated your remote control and your DG I I go app.


    Sent from my iPhone using PhantomPilots mobile app
     
  4. ihavequestions

    Joined:
    May 14, 2016
    Messages:
    33
    Likes Received:
    11
    Connection to what? It's connected to the phone. The phone is connected to the internet. The remote is also connected to the drone. What other connection do I need?
     
  5. ihavequestions

    Joined:
    May 14, 2016
    Messages:
    33
    Likes Received:
    11
    I'm not sure what you mean. I have the latest DJI remote firmware and I'm actually trying to downgrade. The app is the latest version.
     
  6. Oso

    Oso

    Joined:
    May 19, 2015
    Messages:
    2,535
    Likes Received:
    1,482
    Location:
    Sacramento CA
    What version of FW do you have on your AC? If you have 1.8, you'll need the latest RC FW (1.6) for it to work. If you have a FW earlier then 1.8 on your AC, you must also have a FW earlier than 1.6 on your RC. It's hard to help anyone when they don't provide FW versions. Without that info, any reply is just a guess.

    Also, perhaps you had a failed RC FW upgrade based on the red text. We see multiple threads with that issue each day it seems. Did you first see your current problem after a FW upgrade to the AC, the RC, or both?

    I see you said that you already tried the graduation cap method and posted screen shots. Assuming you have the latest on your AC, have you already tried the steps to initiate a new RC firmware download through the app?

    Press these four buttons on the remote controller at the same time, namely, C1, C2, Recording and the Scroll that adjusts ISO, meanwhile, spare another finger to turn the remote controller on (don’t let the other four fingers go), then turn on the app and you should be able to download the firmware again by following the steps on the app.

    Reset_P3_RC.jpg
     
    #6 Oso, May 14, 2016
    Last edited: May 14, 2016
    FrequentFlyer likes this.
  7. ihavequestions

    Joined:
    May 14, 2016
    Messages:
    33
    Likes Received:
    11
    Sorry, what does "AC" mean? I'm guessing you mean the copter, which is indeed on 1.8. I held down the buttons you metioned and now I am redownloading the remote which is not 1.6, but 1.5.80 according to the directions. I'll report back and see if this fixes the problem.
     
  8. ihavequestions

    Joined:
    May 14, 2016
    Messages:
    33
    Likes Received:
    11
    I updated it. Then rebooted. Then the instructions are to update it again. Frustrating.
     
  9. ihavequestions

    Joined:
    May 14, 2016
    Messages:
    33
    Likes Received:
    11
    OK, I've down the upgrade twice now with no progress.
    I keep seeing this even after I downloaded it and rebooted.

     
  10. FrequentFlyer

    Joined:
    Feb 14, 2016
    Messages:
    145
    Likes Received:
    32
    Location:
    Riverside,Ca
    Oh. I thought you said you have a RC signal lost issue?


    Sent from my iPhone using PhantomPilots mobile app
     
  11. AmmoMafia

    Joined:
    May 13, 2016
    Messages:
    9
    Likes Received:
    0
    I am having this exact same issue after downloading new controller update on my P3A on my iPad mini 4
     
  12. ihavequestions

    Joined:
    May 14, 2016
    Messages:
    33
    Likes Received:
    11
    That is what the app says. Even though I have it connected. It's a firmware issue as Oso mentioned. But the problem is still not addressed.
     
  13. iomegas

    Joined:
    Nov 15, 2015
    Messages:
    3
    Likes Received:
    1
    Hi I had similar issue,update your DJI GO,Your Phantom 3 and RC.It finally worked for me.
     
  14. Oso

    Oso

    Joined:
    May 19, 2015
    Messages:
    2,535
    Likes Received:
    1,482
    Location:
    Sacramento CA
    Yes I agree. Since 1.8/1.6 was released, we have seen dozens of threads pertaining to the ABOUT screen not showing firmware versions, the app continuously saying that an upgrade is needed even when one has just been completed, or the app getting stuck on the How to Connect screen. Normally they have been resolved once the user has successfully updated the AC (aircraft), the RC, and the app while connected to the Internet. Some have needed to go through the recovery procedure on their iOS devices.
    iPad mini 4 - not connecting- NOW SOLVED :-)
     
  15. ihavequestions

    Joined:
    May 14, 2016
    Messages:
    33
    Likes Received:
    11
    I believe all three are fully updated. The DJI Go app had been updated before these problems even started. Then I realized I updated the quadcopter first before the remote which is what caused this mess. Then I came here to the forums, did the four button method on the remote per Oso's suggestions, then took steps to initiate the RC Firmware in the app. It said it updated but when I rebooted, it asked again for me to update it. In the meantime, there's no way to go back to a previous version of the remote firmware.

    Still need help!
     
  16. RocketBrew

    Joined:
    Nov 24, 2015
    Messages:
    421
    Likes Received:
    224
    Location:
    Arizona
    I had the same thing happen. Ended up using the "graduation cap" fix, which sets it back to an old version, then the upgrade from the app works.

    Received this from DJI Support, it solved my issue!
    - In the DJI Home screen there is a graduation cap or the academy icon on the right upper corner
    - Please hold that icon down for about 5-10 secs and a downgrade for the Rc should prompt
    - re install the 1.5.7 and the Rc should install that update and then you should have connection between the Drone and RC again
     
  17. ihavequestions

    Joined:
    May 14, 2016
    Messages:
    33
    Likes Received:
    11
    I guess you didn't see the full thread. When I do that, there's no option to go back to a previous version.
     
  18. Jim356

    Joined:
    May 15, 2016
    Messages:
    2
    Likes Received:
    0
    Hi guys, I am having a similar problem. According to the Go App, v2.8.0, the aircraft is 1.7.60+ and the RC is 1.5.80. Of course the controller will not talk to the aircraft. When I try to upgrade the P3P to 1.8.80, the report says the aircraft is already at 1.8.80. I have tried flashing several times using multiple SD cards. I have backed down the firmware to 1.7.60 and tried upgrading again with the same result. I am attaching the update file. How can I get the aircraft and the RC to communicate again. By the way the controller is the GL300B model, so I have never been successful booting it to a USB drive. I also tried the graduation cap to downgrade the RC, but it also said no download files available.
     

    Attached Files:

  19. Oso

    Oso

    Joined:
    May 19, 2015
    Messages:
    2,535
    Likes Received:
    1,482
    Location:
    Sacramento CA
    Did you already try to update the RC to 1.6? Its required if you have 1.8 on your AC due to encryption changes.
     
  20. Jim356

    Joined:
    May 15, 2016
    Messages:
    2
    Likes Received:
    0
    Thanks for the quick response. I am not given the chance to update the RC. It updated from 1.5.70 to 1.5.80, but now it says firmware up to date even though it is 1.5.80.